data:extend(
    {
        {
            type = "rail-signal",
            name = "test",
            animation = {
                direction_count = 1,
                filename = "__base__/graphics/entity/rail-signal/rail-signal.png",
                size = 96
            },
            collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
            draw_circuit_wires = true,
            circuit_wire_max_distance = 10,
            circuit_wire_connection_points = {{wire = {copper = {0, 0}, red = {0, 0}, green = {0, 0}}, shadow = {copper = {0, 0}, red = {0, 0}, green = {0, 0}}}},
            circuit_connector_sprites = {
			{
				led_red = {
					direction_count = 1,
					filename = "__core__/graphics/empty.png",
					width = 1,
					height = 1
				}, led_green = {
					direction_count = 1,
					filename = "__core__/graphics/empty.png",
					width = 1,
					height = 1
				}, led_blue = {
					direction_count = 1,
					filename = "__core__/graphics/empty.png",
					width = 1,
					height = 1
				}, led_light = {
					type = "basic", 
					intensity = 0, 
					size = 0}
				}
			},
            selection_box = {{-0.5, -0.5}, {0.5, 0.5}} -- For testing when we need to select them
        }
    }
)
